Subject: Re: how to make a .lib from msfl70d.dll
From: "Rajkumar Seth" <[email-masked]>
To: "DJ Delorie" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 18 Sep 2000 16:47:49 -0400

Did not work.  If I compile with the dll, I just get Undefined references.
I did figure out how to build the .lib (duhh) using the dlltool.  They do
send a .def file so that one may make ones own import file.  I did
dlltool -d Def/Msfl.def -D Dll/msfl70d.dll -l Lib/gcc/msfl70d.lib -v
output is attached
SO I got a .lib file.  I was able to compile fine, but when I ran the
command, I got  a popup.
"A required .DLL file, DLL/MSFL70D.DLL, was not found"
SO I recreated the .lib using
dlltool -d Def/Msfl.def -D c:/windows/msfl70d.dll -l Lib/gcc/msfl70d.lib -v
got exactly the same output, and successful compile.  But at run-time, the
pop-up said
"the foo.exe file is linked to missing export
MSFL70D.DLL:MSFL1_CloseDirectory@4. "
  BTW. CloseDirectory happens to be the first export in the def file, also
attached.
just so any path problems were obviated, I tried various iterations of the
command.  The bottom line is that @ run time, if the dll was found, it gave
the missing export error, and if the dll was not found it gave the not found
error.

They shipped a VisualC++ .lib with the product, and I am able to compile and
run with that, but I just dont trust MS products.  I have used gcc (and even
djgpp - thanks DJ) for years, and would rather have the right .lib file.

would appreciate any ideas.

Rajkumar Seth

----- Original Message -----
From: "DJ Delorie" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, September 18, 2000 4:00 PM
Subject: Re: how to make a .lib from a .dll

>
> > I just got the Metastock developer kit which comes as a dll - namely the
> > msfl70.dll.  I need to compile programs, and I need a .lib so that the
> > compile phase can happen.  How do I create such an animal?  If I dont, I
> > just get ld errors saying that the references are undefined.
>
> Try the obvious - list the DLL itself on the link line and see if the
> linker just knows how to deal with it.
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]